Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote
Interface ActionHook

All Known Implementing Classes:
  AjpAprProcessor, AjpProcessor, Http11AprProcessor, Http11NioProcessor, Http11Processor, MsgContext

    public interface ActionHook

Action hook. Actions represent the callback mechanism used by coyote servlet containers to request operations on the coyote connectors. Some standard actions are defined in ActionCode, however custom actions are permitted. The param object can be used to pass and return informations related with the action. This interface is typically implemented by ProtocolHandlers, and the param is usually a Request or Response object.

Author:
  Remy Maucherat

Method Summary
`void` | `action(ActionCode actionCode, java.lang.Object param)` Send an action to the connector.

Method Detail

### action

    void action(ActionCode actionCode,
                java.lang.Object param)

  Send an action to the connector.

  Parameters:
    `actionCode` - Type of the action
    `param` - Action parameter

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.